{% extends 'base.html.twig' %}

{% block title %}Pokemon index{% endblock %}

{% block body %}
    <h1>Pokemon index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>PP</th>
                <th>Attack</th>
                <th>Defense</th>
                <th>Description</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for pokemon in pokemon %}
            <tr>
                <td>{{ pokemon.id }}</td>
                <td>{{ pokemon.name }}</td>
                <td>{{ pokemon.PP }}</td>
                <td>{{ pokemon.attack }}</td>
                <td>{{ pokemon.defense }}</td>
                <td>{{ pokemon.description }}</td>
                <td>
                    <a href="{{ path('app_pokemon_show', {'id': pokemon.id}) }}">show</a>
                    <a href="{{ path('app_pokemon_edit', {'id': pokemon.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_pokemon_new') }}">Create new</a>
{% endblock %}
